#!/usr/bin/env bash

echo
echo ================
echo Tektrans - TBS PeerVPN configurator
echo ================
echo

read -p 'PeerVPN IP: ' pvpnip < /dev/tty
if [ -z "$pvpnip" ]; then
	echo "Invalid PeerVPN IP";
	exit
fi

read -p 'PeerVPN key: ' pvpnkey < /dev/tty
if [ -z "$pvpnkey" ]; then
	echo "Invalid PeerVPN key";
	exit
fi

sudo yum -y install screen

#mkdir ~/src
#cd ~/src
#wget --no-check-certificate https://peervpn.net/files/peervpn-0-044-linux-x86.tar.gz
#tar xzf peervpn-0-044-linux-x86.tar.gz
#sudo install peervpn-0-044/peervpn /usr/local/sbin/
#rm -rf peervpn-0-044
sudo mkdir /etc/peervpn
sudo rm -f /etc/peervpn/tbs.conf
sudo tee /etc/peervpn/tbs.conf << EOF
networkname TBS
enabletunneling yes
enablerelay yes
enableipv4 yes
enableipv6 no
interface pvpntektrans
initpeers 122.248.43.13 7090
EOF

echo psk $pvpnkey | sudo tee -a /etc/peervpn/tbs.conf
echo ifconfig4 $pvpnip/24 | sudo tee -a /etc/peervpn/tbs.conf
echo "screen -dmS PeerVPN-TBS /usr/local/sbin/peervpn /etc/peervpn/tbs.conf" | sudo tee -a /etc/rc.local
